Package org.apache.tools.ant.taskdefs.optional.javah

# Class Kaffeh

java.lang.Object
org.apache.tools.ant.taskdefs.optional.javah.Kaffeh

All Implemented Interfaces:
  `JavahAdapter`

public class Kaffeh extends Object implements JavahAdapter
Adapter to the native kaffeh compiler.

Since:
  Ant 1.6.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPLEMENTATION_NAME`
  the name of the javah adapter - kaffeh

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Kaffeh()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `compile(Javah javah)`
  Performs the actual compilation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPLEMENTATION_NAME

    public static final String IMPLEMENTATION_NAME
    the name of the javah adapter - kaffeh
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Kaffeh

    public Kaffeh()

- ## Method Details

  - ### compile

    public boolean compile(Javah javah) throws BuildException
    Performs the actual compilation.
    Specified by:
      `compile` in interface `JavahAdapter`
    Parameters:
      `javah` - the calling javah task.
    Returns:
      true if the compilation was successful.
    Throws:
      `BuildException` - if there is an error.
    Since:
      Ant 1.6.3